# IdeWorkspace

interface IdeWorkspace : Describable

Represents an IDE "workspace" that is generated by Gradle and can be opened in the IDE.

#### Since

4.7

#### Inheritors

XcodeWorkspace
VisualStudioSolution
IdeaProject

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getLocation
Link copied to clipboard
abstract fun getLocation(): Provider<out FileSystemLocation>
Returns the location of the generated workspace.